using System;
using System.Text;

internal sealed class Delegate616 : MulticastDelegate
{
	public extern Encoding Invoke(object object_0);

	public static Encoding smethod_0(object object_0, Delegate616 delegate616_1)
	{
		return delegate616_1(object_0);
	}

	public extern Delegate616(object object_0, IntPtr intptr_0);

	static Delegate616()
	{
		Class10.smethod_13(typeof(Delegate616).TypeHandle);
	}

	internal static Delegate616 delegate616_0;
}
